* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

*::selection{
  background: transparent;
}

html,
body {
  height: 100%;
  width: 100%;
}

body { 
  /* do not put overflow to hidden for body while using locomotive */
  /* overflow: hidden; */
  position: relative;
  background-color: #f5e41b;
}

#loader {
  display: flex;
  align-items: center;
  justify-content: center;
  background-color: #f5e41b;
  position: fixed;
  top: 0px;
  left: 0px;
  width: 100%;
  height: 100vh;
  z-index: 99;
  animation: Slide2 1s ease 2s forwards;
  /* display: none; */
}
.block{
  width: 100%;
  display: block;
}
#loader video {
  position: absolute;
  height: 100%;
  width: 100%;
  object-fit: cover;
  top: 0;
  left: 0;
}

nav {
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 20px;
  background: #f5e41b;
  width: 100%;
}

#mobile-menu {
  background-color: #f5e41b;
  color: #000;
  position: fixed;
  height: 100vh;
  width: 100%;
  display: none;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  top: -100vh;
  left: 0;
  z-index: 1;
  gap: 20px;
  transition: 0.4s;
  transition-delay: 0.25s;
}

.HideSmall_mobile {
  padding: 12px 16px 10px;
  border: 1px solid black;
  color: black;
  text-transform: uppercase;
  font-weight: 700;
  transition: 0.5s;
  text-decoration: none;
  background-color: #f5e41b;
  border-radius: 100px;
}

.HideSmall_mobile:hover {
  color: #f5e41b;
  background-color: black;
  border-color: #f5e41b;
}

nav div {
  display: flex;
  gap: 10px;
}

#ShowWhenSmall {
  gap: 10px;
  display: none;
  /* flex-direction: column; */
}

.menu {
  padding: 6px 12px 5px;
  font-size: 24px;
  font-weight: 700;
  transform: scale(1);
  border-radius: 100px;
  color: #f5e41b;
  background-color: black;
  border: solid;
  border-color: #f5e41b;
}

.menu2 {
  font-size: 24px;
  font-weight: 700;
  transform: scale(1);
  border-radius: 100px;
  color: #f5e41b;
  background-color: black;
  border: solid;
  border-color: #f5e41b;

  padding: 6px 12.5px 5px;
  overflow: hidden;
  transition: 0.25s;
  /* z-index: 999; */
}

nav div a button {
  padding: 12px 16px 10px;
  border: 1.5px solid black;
  border-radius: 100px;
  color: black;
  background: transparent;
  text-transform: uppercase;
  font-weight: 700;
  transition: 0.5s;
  transform: scale(0);
  text-decoration: none;
}

nav div a button:hover {
  color: #f5e41b;
  background-color: black;
  border-color: #f5e41b;
}

#page1 {
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
  min-height: 81vh;
  width: 100%;
  background: #f5e41b;
  color: rgb(43, 43, 43);
  padding-bottom: 7vh;
}
#page1 h1 {
  font-size: 5vw;
  line-height: 57px;
  font-weight: 300;
  letter-spacing: -4px;
  text-align: center;
  padding: 20px;
  color: #fff;

  animation: invert_color 0.5s ease-out 2.2s 1 forwards;
}

#loader h1 {
  padding: 20px;
  font-size: 5vw;
  line-height: 57px;
  font-weight: 300;
  letter-spacing: -4px;
  text-align: center;
  color: #ffffff;
  z-index: 3;
}

#curtain {
  position: absolute;
  height: 100vh;
  width: 100%;
  background: #1e1e1e;
  z-index: 2;
  top: 0;
  left: 0;
  /* display: none; */
  animation: Slide1 1s ease-out 0s forwards;
}

.footPage1 {
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 20px;
  background-color: #f5e41b;
}

a {
  text-decoration: none;
  text-transform: uppercase;
  font-family: sans-serif;
  font-weight: 500;
  text-underline-offset: 6px;
  text-decoration: underline;
  color: #000;
}
a:hover {
  text-underline-offset: 8px;
}

#page2 {
  min-height: 110vh;
  width: 100%;
  background: #000;
  padding-top: 0vh;
  color: white;
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
  text-align: center;
  position: relative;
  background-position: center;
  background-size: cover;
  transition: 0.5s;
  background-image: url("./public/BOLDLY.jpg");
  overflow: hidden;
}

.elem {
  width: 100%;
  background-color: transparent;
  position: relative;
}

.elem h2 {
  font-size: 7vw;
  text-transform: uppercase;
  letter-spacing: -7px;
  font-weight: 100;
  position: relative;
  z-index: 3;
  line-height: 5.5vw;
  transition: 0.5s;
  mix-blend-mode: normal;
}
.elem h2:hover {
  font-style: italic;
  cursor: pointer;
}

.elem .moving {
  background: #f5e41b;
  width: 100%;
  /* display: inline-block; */
  box-sizing: content-box;
  white-space: nowrap;
  padding: 10px 0;
  position: absolute;
  top: 27%;
  left: 0;
  display: none;
}

.shadow_page2 {
  position: absolute;
  height: 100%;
  top: 0%;
  background: transparent;
  box-shadow: 0 0 25px #f5e41b;
  width: 40%;
  left: 30%;

  z-index: 2;
}

.moving-in {
  display: inline-block;
  margin-right: 20px;
  white-space: nowrap;
  animation: moving 8s linear infinite forwards;
}

.moving-in h5 {
  font-weight: 100;
  font-family: "Helvetica Neue", sans-serif;
  text-transform: uppercase;
  color: #000;
  display: inline-block;
}

#page3 {
  min-height: 100vh;
  width: 100%;
  background: #fff;
  display: flex;
  align-items: center;
  justify-content: center;
  flex-wrap: wrap;
  gap: 20px;
  padding: 40px 20px;

}
.card {
  min-width: 320px;
  display: flex;
  align-items: center;
  justify-content: center;
  flex-wrap: wrap;
  height: 400px;
  /* width: 400px; */
  /* border-radius: 20px; */
  padding: 20px;
  text-align: center;
  cursor: pointer;
  background-position: center;
  background-size: cover;
  transition: all 0.25s;
  overflow: hidden;
  /* border:1px solid #000; */
}



.card h1 {
  font-weight: 100;
  font-size: 50px;
  display: block;
  letter-spacing: -5px;
  text-transform: uppercase;
  line-height: 50px;
  color: transparent;
  transition: all 0.25s;
  word-spacing: 5px;
}

#page4 {
  display: flex;
  justify-content: space-between;
  min-height: 32vh;
  width: 100%;
  background: #000;
  color: white;
  padding: 20px;
  padding-top: 80px;
  flex-wrap: wrap;
}
#page4 a{
  color: #fff;
  /* text-decoration: none; */
  text-transform: lowercase ;
  /* background-color: #f5e41b; */
  padding: 10px;
  /* width: fit-content; */
  font-weight: 500;
  cursor: pointer;

}
#page4 a:hover{
  text-decoration: underline;
}
#page4 div{
  display: flex;
  gap:10px;
}
#page4 div a{
  padding: 11px 10px 9px;
  text-transform: uppercase ;
}

@media screen and (max-width: 1000px) {
  #page1 h1 {
    font-size: 65px;
  }
  #loader h1 {
    font-size: 65px;
  }

  @media screen and (max-width: 900px) {
    #page1 h1 {
      text-align: left;
    }
    #loader h1 {
      text-align: left;
    }
    .elem h2 {
      font-size: 64px;
      line-height: 64px;
    }
  }
  @media screen and (max-width: 500px) {
    #page1{
      justify-content: flex-start;
      min-height: 85vh;

    }
    #page1 h1 {
      font-size: 12vw;
      line-height: 12vw;
    }
    #loader h1 {
      font-size: 12vw;
      line-height: 12vw;
    }
    #HideWhenSmall {
      display: none;
    }
    #ShowWhenSmall {
      display: flex;
      margin-bottom:7vh ;
    }
    #mobile-menu {
      display: flex;
    }
    .elem h2 {
      font-size: 50px;
      line-height: 60px;
    }
    .card{
      border-radius: 20px;
      min-width: 320px;
      width: 400px;
    }
    #page4{
      padding-top:20px ;
      flex-direction: column;
      height: 30vh;
      justify-content: flex-start;
      align-items: flex-start;
      gap: 20px
    }
    #page4 div a{
      border: 1.2px solid #fff;
      border-radius: 100px;
      text-decoration: none;
      transition: 0.25s;

    }
    #page4 div a:hover{
      text-decoration: none;
      background-color: #fff;
      border-color: #000;
      color:#000
    }
    nav{
      padding-top: 10px;
      padding-bottom: 30px;
    }
  }
}

@media screen and (min-width: 400px) and (max-width: 500px) {
  #page1 h1 {
    font-size: 50px;
    line-height: 45px;
  }
  #loader h1 {
    font-size: 50px;
    line-height: 45px;

  }
}

@keyframes Slide1 {
  0% {
    left: 0;
  }
  100% {
    left: -100vw;
  }
}

@keyframes Slide2 {
  0% {
    top: 0;
  }
  100% {
    top: -100vh;
  }
}

@keyframes invert_color {
  from {
    color: #fff;
  }
  100% {
    color: #000;
  }
}

@keyframes moving {
  from {
    transform: translateX(0%);
  }
  to {
    transform: translateX(-100%);
  }
}
